| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::DynamicLayout Class Reference
Inheritance diagram for Digikam::DynamicLayout:

## Public Member Functions
| DynamicLayout (int margin=-1, int hSpacing=0, int vSpacing=0)
| DynamicLayout (QWidget *const parent, int margin=-1, int hSpacing=0, int vSpacing=0)
void | addItem (QLayoutItem *layItem) override
int | count () const override
Qt::Orientations | expandingDirections () const override
bool | hasHeightForWidth () const override
int | heightForWidth (int) const override
int | horizontalSpacing () const
QLayoutItem * | itemAt (int index) const override
QSize | minimumSize () const override
void | setGeometry (const QRect &rect) override
QSize | sizeHint () const override
QLayoutItem * | takeAt (int index) override
int | verticalSpacing () const